Bug 59411 - [EFL] Change cursor to LAZY_NATIVE_CURSOR
Summary: [EFL] Change cursor to LAZY_NATIVE_CURSOR
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-25 19:58 PDT by Ryuan Choi
Modified: 2011-04-27 23:46 PDT (History)
7 users (show)

See Also:


Attachments
Patch (12.86 KB, patch)
2011-04-25 20:13 PDT, Ryuan Choi
no flags Details | Formatted Diff | Diff
Patch (12.86 KB, patch)
2011-04-25 21:22 PDT, Ryuan Choi
no flags Details | Formatted Diff | Diff
Patch (12.81 KB, patch)
2011-04-27 19:43 PDT, Ryuan Choi
no flags Details | Formatted Diff | Diff
Patch (12.81 KB, patch)
2011-04-27 20:01 PDT, Ryuan Choi
no flags Details | Formatted Diff | Diff
Patch (12.87 KB, patch)
2011-04-27 21:12 PDT, Ryuan Choi
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryuan Choi 2011-04-25 19:58:24 PDT
Other ports use LAZY_NATIVE_CURSOR, but EFL doesn't.
Comment 1 Ryuan Choi 2011-04-25 20:13:33 PDT
Created attachment 91046 [details]
Patch
Comment 2 Ryuan Choi 2011-04-25 21:22:45 PDT
Created attachment 91051 [details]
Patch
Comment 3 Eric Seidel (no email) 2011-04-26 15:11:18 PDT
Comment on attachment 91051 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=91051&action=review

Looks fine except for the , strangeness.  I think we only do the leading comma for initializer lists.

> Source/WebCore/platform/efl/CursorEfl.cpp:62
> +        "cursor/pointer"
> +        , "cursor/cross"

I think we would normally write this "foo", and put a comma after every line.  But I'm not sure.

> Source/WebCore/platform/efl/CursorEfl.cpp:104
> +        , ""};

What's this for?
Comment 4 Ryuan Choi 2011-04-27 19:43:15 PDT
Created attachment 91411 [details]
Patch
Comment 5 Antonio Gomes 2011-04-27 19:46:05 PDT
Comment on attachment 91411 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=91411&action=review

> Source/WebCore/platform/efl/CursorEfl.cpp:58
> +static const char* getCursorString(Cursor::Type type)

We usually do not use "get" for getters.

> Source/WebCore/platform/efl/WidgetEfl.cpp:266
> +    const char *group = cursor.platformCursor();

* in the left side.
Comment 6 Ryuan Choi 2011-04-27 20:00:22 PDT
(In reply to comment #3)
> (From update of attachment 91051 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=91051&action=review
> 
> Looks fine except for the , strangeness.  I think we only do the leading comma for initializer lists.
> 
> > Source/WebCore/platform/efl/CursorEfl.cpp:62
> > +        "cursor/pointer"
> > +        , "cursor/cross"
> 
Thank you. It's my mistake and changed.

> I think we would normally write this "foo", and put a comma after every line.  But I'm not sure.
> 
> > Source/WebCore/platform/efl/CursorEfl.cpp:104
> > +        , ""};
> 
> What's this for?

WebCore::Cursor::Type have Custom, but EFL port doesn't support it yet.
"" at position of Custom will prevent exception.
Comment 7 Ryuan Choi 2011-04-27 20:01:35 PDT
Created attachment 91413 [details]
Patch
Comment 8 Ryuan Choi 2011-04-27 20:02:31 PDT
(In reply to comment #5)
> (From update of attachment 91411 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=91411&action=review
> 
> > Source/WebCore/platform/efl/CursorEfl.cpp:58
> > +static const char* getCursorString(Cursor::Type type)
> 
changed to cursorString.

> We usually do not use "get" for getters.
> 
> > Source/WebCore/platform/efl/WidgetEfl.cpp:266
> > +    const char *group = cursor.platformCursor();
> 
> * in the left side.

Done.

Thank you for quick review.
Comment 9 Antonio Gomes 2011-04-27 20:12:54 PDT
Comment on attachment 91413 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=91413&action=review

> Source/WebCore/platform/efl/CursorEfl.cpp:104
> +        ""};

>WebCore::Cursor::Type have Custom, but EFL port doesn't support it yet.
>"" at position of Custom will prevent exception.

add a comment?
Comment 10 Ryuan Choi 2011-04-27 21:12:37 PDT
Created attachment 91422 [details]
Patch
Comment 11 WebKit Commit Bot 2011-04-27 23:46:15 PDT
Comment on attachment 91422 [details]
Patch

Clearing flags on attachment: 91422

Committed r85168: <http://trac.webkit.org/changeset/85168>
Comment 12 WebKit Commit Bot 2011-04-27 23:46:21 PDT
All reviewed patches have been landed.  Closing bug.